<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BTreeCompressDelegate Delegate
See Also Send Feedback

A function to store a compressed key/data pair into a supplied buffer.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#

    public delegate bool BTreeCompressDelegate(
    	DatabaseEntry prevKey,
    	DatabaseEntry prevData,
    	DatabaseEntry key,
    	DatabaseEntry data,
    	ref byte[] dest,
    	out int size
    )

Visual Basic (Declaration)

    Public Delegate Function BTreeCompressDelegate ( _
    	prevKey As DatabaseEntry, _
    	prevData As DatabaseEntry, _
    	key As DatabaseEntry, _
    	data As DatabaseEntry, _
    	ByRef dest As Byte(), _
    	<OutAttribute> ByRef size As Integer _
    ) As Boolean

Visual C++

    public delegate bool BTreeCompressDelegate(
    	DatabaseEntry^ prevKey,
    	DatabaseEntry^ prevData,
    	DatabaseEntry^ key,
    	DatabaseEntry^ data,
    	array<unsigned char>^% dest,
    	[OutAttribute] int% size
    )

#### Parameters

prevKey
  Type: BerkeleyDB..::.DatabaseEntry
  The key immediately preceding the application supplied key.

prevData
  Type: BerkeleyDB..::.DatabaseEntry
  The data associated with prevKey.

key
  Type: BerkeleyDB..::.DatabaseEntry
  The application supplied key.

data
  Type: BerkeleyDB..::.DatabaseEntry
  The application supplied data.

dest
  Type: array< System..::.Byte >[]()[] %
  The compressed data to be stored in the database.

size
  Type: System..::.Int32 %
  The number of compressed bytes written to dest, or the required size of dest, if too small.

#### Return Value

True on success, false if dest is too small to contain the compressed data. All other errors should throw an exception.

# See Also

BerkeleyDB Namespace